Get offer
Retrieves an offer by its ID.
GET
/{id}Path parameters
idstringrequiredThe ID of the offer to retrieve
Responses
200Offer retrieved successfully
idstringrequiredThe unique identifier for the offer
orderIdsstring[] | nullrequiredThe unique identifiers of the associated orders created from an offer decision. Will be omitted/null if no order exists
thirdPartyIdstring | nullrequiredExternal system identifier for this offer. May be omitted or empty when not available
customerNamestringrequiredThe full name of the customer associated with this offer
customerEmailstringrequiredThe email address of the customer associated with this offer
customerPhonestringrequiredThe phone number of the customer associated with this offer
fullAddressstring | nullrequiredThe complete formatted address for the offer property
line1stringrequiredThe first line of the property address (street address)
line2string | nullrequiredThe second line of the property address (unit, suite, etc.). May be omitted or empty when not applicable
citystringrequiredThe city of the property address
stateOrProvincestringrequiredThe state or province of the property address
postalCodestringrequiredThe postal or ZIP code of the property address
statusstringrequiredCurrent offer status
Allowed:
pendingawaiting_customercanceledbuyout_acceptedorder_placedexpiredunknowngeneratingUpsellsbooleanrequireddeprecatedDeprecated — use `processing`. True while upsells are still being generated asynchronously.
processingbooleanrequiredTrue while the offer’s asynchronous post-create pipeline (credit calculation and, if requested, upsell generation) is still running. The offer cannot be sent until this is false. Poll this endpoint until it clears.
acceptedByRolestring | nullrequiredThe role of the person who accepted or processed the offer. Will be omitted/null if the offer has not been accepted
Allowed:
curatorcustomerofferSentAtstring | nullrequiredThe timestamp when the offer was sent to the customer in ISO 8601 format
selectedOfferingobject[] | nullrequiredAn array of selected offering objects, each containing the chosen products and any selected addons. This is the offering that was chosen by the customer or by the curator on behalf of the customer. If the offer is in a status that is not order_placed, this will be omitted/null
Show propertiesHide properties
Array of
objectproductIdstringrequiredThe identifier of the selected product
curatorSelectedAddonsobject[]Array of addons included by the curator for this product selection
Show propertiesHide properties
Array of
objectaddonIdstringrequiredThe identifier of the addon product
customerSelectedAddonsobject[]Array of addons explicitly selected by the customer for this product selection
Show propertiesHide properties
Array of
objectaddonIdstringrequiredThe identifier of the addon product
offeringsobject[]requiredAn array of offering options presented in this offer. When the offer is initially created and the status is pending, only the isIncluded product may be present. Upsells are generated asynchronously and may not be present until the offer is updated
Show propertiesHide properties
Array of
objectproductsobject[]requiredShow propertiesHide properties
Array of
objectproductIdstringrequiredThe identifier of a product associated with this offering option
curatorSelectedAddonsobject[]Array of addons included by the curator for this offering product
Show propertiesHide properties
Array of
objectaddonIdstringrequiredThe identifier of the addon product
buyoutAmountCentsnumber | nullrequiredThe amount given to the customer for their buyout option on this offer, represented in cents
creditAmountCentsnumber | nullrequiredThe amount of credit applied to this offer, represented in cents. May be omitted/null when no credit is applied or when the offer has no upsells
companySpendCentsnumberrequiredThe amount the company will spend on this offer, represented in cents
customerSpendCentsnumber | nullrequiredThe amount the customer will spend on this offer, represented in cents
offerPricingBreakdownobject | nullrequiredDetailed pricing breakdown for the offer checkout, including subtotal, tax, total, discounts, fees, and priced items. Represents the customer pricing shown at checkout. Will be omitted/null if no offer checkout pricing data is available
Show propertiesHide properties
subtotalnumberrequiredThe subtotal amount for the offer checkout, represented in cents. null if unavailable
taxnumberrequiredThe tax amount for the offer checkout, represented in cents. null if unavailable
totalnumberrequiredThe total amount for the offer checkout, represented in cents. null if unavailable
discountsobject[]requiredAn array of discount objects applied to the offer checkout
Show propertiesHide properties
Array of
objectamountnumberrequiredThe discount amount, represented in cents
feesobject[]requiredAn array of fee objects applied to the offer checkout
Show propertiesHide properties
Array of
objectamountnumberrequiredThe fee amount, represented in cents
pricedItemsobject[] | nullrequiredAn array of items included in the offer checkout pricing
Show propertiesHide properties
Array of
objectidstringrequiredThe unique identifier of the priced item
titlestringrequiredThe title/name of the priced item
purchasePricenumberrequiredThe purchase price of the item, represented in cents
addonsobject[]Show propertiesHide properties
Array of
objectidstringrequiredtitlestringrequiredpurchasePricenumberrequired401Unauthorized - Missing or invalid authentication
codestringrequiredError code indicating the type of error
messagestringrequiredHuman-readable error message explaining what went wrong
detailsobject[]Detailed validation errors when applicable
Show propertiesHide properties
Array of
objectfieldstringrequirederrorstringrequired403Forbidden - Caller is not allowed to view this offer
codestringrequiredError code indicating the type of error
messagestringrequiredHuman-readable error message explaining what went wrong
detailsobject[]Detailed validation errors when applicable
Show propertiesHide properties
Array of
objectfieldstringrequirederrorstringrequired404Not found - Offer does not exist
codestringrequiredError code indicating the type of error
messagestringrequiredHuman-readable error message explaining what went wrong
detailsobject[]Detailed validation errors when applicable
Show propertiesHide properties
Array of
objectfieldstringrequirederrorstringrequired500Internal server error
codestringrequiredError code indicating the type of error
messagestringrequiredHuman-readable error message explaining what went wrong
detailsobject[]Detailed validation errors when applicable
Show propertiesHide properties
Array of
objectfieldstringrequirederrorstringrequiredRequest
curl -X GET "https://api.sibipro.com/prod/offers/string"const response = await fetch("https://api.sibipro.com/prod/offers/string", {
method: "GET"
});Response
{
"id": "offer-123",
"orderIds": [
"string"
],
"thirdPartyId": "ext-123",
"customerName": "string",
"customerEmail": "string",
"customerPhone": "string",
"fullAddress": "string",
"line1": "string",
"line2": "string",
"city": "string",
"stateOrProvince": "string",
"postalCode": "string",
"status": "pending",
"generatingUpsells": true,
"processing": true,
"acceptedByRole": "curator",
"offerSentAt": "string",
"selectedOffering": [
{
"productId": "string",
"curatorSelectedAddons": [
{
"addonId": "string"
}
],
"customerSelectedAddons": [
{
"addonId": "string"
}
]
}
],
"offerings": [
{
"products": [
{
"productId": "string",
"curatorSelectedAddons": [
{
"addonId": "string"
}
]
}
]
}
],
"buyoutAmountCents": 50000,
"creditAmountCents": 75000,
"companySpendCents": 0,
"customerSpendCents": 0,
"offerPricingBreakdown": {
"subtotal": 0,
"tax": 0,
"total": 0,
"discounts": [
{
"amount": 0
}
],
"fees": [
{
"amount": 0
}
],
"pricedItems": [
{
"id": "string",
"title": "string",
"purchasePrice": 0,
"addons": [
{
"id": "string",
"title": "string",
"purchasePrice": 0
}
]
}
]
}
}{
"code": "string",
"message": "The request contains invalid parameters",
"details": [
{
"field": "customer.email",
"error": "Invalid email"
},
{
"field": "address.postalCode",
"error": "Invalid"
}
]
}{
"code": "string",
"message": "The request contains invalid parameters",
"details": [
{
"field": "customer.email",
"error": "Invalid email"
},
{
"field": "address.postalCode",
"error": "Invalid"
}
]
}{
"code": "string",
"message": "The request contains invalid parameters",
"details": [
{
"field": "customer.email",
"error": "Invalid email"
},
{
"field": "address.postalCode",
"error": "Invalid"
}
]
}{
"code": "string",
"message": "The request contains invalid parameters",
"details": [
{
"field": "customer.email",
"error": "Invalid email"
},
{
"field": "address.postalCode",
"error": "Invalid"
}
]
}